Description

Trying to get foreman to load in dev environment...

Each request takes a little less than a second to get, but after 49 seconds, it seems the POST times out and I'm greeted with 'Invalid

Username of Password'.

I've followed the guide for setting up the dev env, running it on ruby 1.9.3 p550 on centos 6.5 x64 with postgresql after running the

setup sets of the rakefile as detailed here http://theforeman.org/contribute.html

I'm after being able to assign public IPs (not elastic ones) in EC2/VPC env on AWS. But I failed at the development step here.

History

#1 - 11/13/2014 10:29 AM - Ohad Levy

can you please provide log output? (logs/development.log)

#2 - 11/13/2014 10:29 AM - Ohad Levy

- Tracker changed from Bug to Support

- Priority changed from High to Normal

#3 - 11/13/2014 10:31 AM - Henrik Feldt

- File development.log added

Yup

#4 - 11/14/2014 04:12 AM - Dominic Cleal

- Status changed from New to Feedback

Try running rake db:seed to populate the initial admin user.  It will print out a username and password.

#5 - 11/14/2014 04:37 AM - Henrik Feldt

This is its output:

```

[vagrant@foreman vagrant]$ rake db:seed

The Apipie cache is turned off. Enable it and run apipie:cache rake task to speed up API calls.

Workaround for RbVmomi may not work as ComputeResource is already loaded: ComputeResource

Seeding /vagrant/db/seeds.d/03-auth_sources.rb

Seeding /vagrant/db/seeds.d/03-permissions.rb

Seeding /vagrant/db/seeds.d/03-roles.rb

Seeding /vagrant/db/seeds.d/04-admin.rb

Seeding /vagrant/db/seeds.d/05-taxonomies.rb

Seeding /vagrant/db/seeds.d/06-architectures.rb

Seeding /vagrant/db/seeds.d/07-config_templates.rb

Seeding /vagrant/db/seeds.d/08-partition_tables.rb

Seeding /vagrant/db/seeds.d/10-installation_media.rb

Seeding /vagrant/db/seeds.d/11-smart_proxy_features.rb

Seeding /vagrant/db/seeds.d/13-compute_profiles.rb

Seeding /vagrant/db/seeds.d/15-bookmarks.rb
Seeding /vagrant/db/seeds.d/16-mail_notifications.rb

All seed files executed

```

#6 - 11/14/2014 04:40 AM - Dominic Cleal

It's probably already been run then.  Run rake permissions:reset to reset the password, then try logging in with that.

#7 - 11/14/2014 09:50 AM - Henrik Feldt

Same error

#8 - 05/17/2017 09:34 AM - Anonymous

- Status changed from Feedback to Resolved
